Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cache
Interface JMXInstrumentedCacheMBean

All Known Implementing Classes:
  JMXInstrumentedCache

    public interface JMXInstrumentedCacheMBean

Method Summary
`int` | `getCapacity()`
`long` | `getHits()` total cache hit count since cache creation
`double` | `getRecentHitRate()` hits / requests since the last time getHitRate was called.
`long` | `getRequests()` total request count since cache creation
`int` | `getSize()`
`void` | `setCapacity(int capacity)`

Method Detail

### getCapacity

    int getCapacity()

### setCapacity

    void setCapacity(int capacity)

### getSize

    int getSize()

### getRequests

    long getRequests()

  total request count since cache creation

### getHits

    long getHits()

  total cache hit count since cache creation

### getRecentHitRate

    double getRecentHitRate()

  hits / requests since the last time getHitRate was called. serious telemetry apps should not use this, and should instead track the deltas from getHits / getRequests themselves, since those will not be affected by multiple users calling it. Provided for convenience only.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation